Vraag & Antwoord

OS Linux

Mandrake 10.1, Wifi PCMCIA wordt herkent, werkt niet.

Anoniem
None
30 antwoorden
  • make dep hoef je helemaal niet te draaien. Dat commando zit er niet meer in bij de 2.6 kernels. Vind ik persoonlijk wel een beetje jammer, vandaar rare kernel.

    En XP is voor travestite Kelly's :wink:
  • [quote:ad113f65b3="Venzent"]
    He? Hoezo kernel patchen, ik heb de sources gedownload en laten installeren met rpmdrake.[/quote:ad113f65b3] Hoe dat precies zit met dat kernel patchen week ik ook niet. Maar dit stond toch in de tweede link van djezzer op sourceforge.net
    [quote:ad113f65b3] You should get the linux-2.6.9-ndiswrapper-version.patch.[/quote:ad113f65b3]
  • Ah, ok, maar das pas later…… Ik heb wel al via make menuconfig (zonder iets te wijzigen) iets gedaan wat daarna heel lang duurde (zeker 1 uur)….mar wat????…Ik ga denk ik morgen helemaal opnieuw beginnen, maar dan weer met FC3, ik heb l regelmatig gehad dat programma's niet wilde starten en allerlei foutmeldingen….Ik zal dus eerst weer een clean install gaan doen van FC3 en dan weer de draad van voorafaan oppakken….
  • Ik heb een clean install gedaan van Fedora Core 3, alle updates gedraaid inclusief de nieuwe kernel (2.6.10) en guess what? :o Draadloos doet het niet meer :(
    Als je met een clean install begint en de updates doet, sluit dan de kernel uit van de updates. Met de 2.6.9 kernel werkt het in ieder geval.

    Je krijgt dan trouwens wel een foutmelding dat de HAL update niet kan worden uitgevoerd. Lekker belangrijk :evil:

    Greetz, dJezzer 8)
  • [quote:8c2b83f988="djezzer"]Ik heb een clean install gedaan van Fedora Core 3, alle updates gedraaid inclusief de nieuwe kernel (2.6.10) en guess what? :o Draadloos doet het niet meer :(
    Als je met een clean install begint en de updates doet, sluit dan de kernel uit van de updates. Met de 2.6.9 kernel werkt het in ieder geval.

    Je krijgt dan trouwens wel een foutmelding dat de HAL update niet kan worden uitgevoerd. Lekker belangrijk :evil:

    Greetz, dJezzer 8)[/quote:8c2b83f988]
    Kan dat niet komen doordat je Ndiswrapper heb gecompileerd met de source van de 2.6.9 kernel? Dat was dus ook hetgene wat ik mij afvroeg, indien je een pakket installeert die gecompileerd is met een kernel-source-versie, en je update je kernel, moet je dan alles weer opnieuw doen?
  • yup
  • [quote:5cb8a45e86="Tekkie"]yup[/quote:5cb8a45e86]
    aha, dus dat stukje snap ik :lol:
  • [quote:c64e1c42a4]aha, dus dat stukje snap ik [/quote:c64e1c42a4]
    Nieuwe kernel, nieuwe source, nieuwe compilatie. Jammer, maar bedankt voor het meedenken :P

    [quote:c64e1c42a4]Dat was dus ook hetgene wat ik mij afvroeg, indien je een pakket installeert die gecompileerd is met een kernel-source-versie, en je update je kernel, moet je dan alles weer opnieuw doen?[/quote:c64e1c42a4]
    Dat is ook wat ik tegen die driverloader heb - behalve dan dat'ie bij mij niet werkte :wink: Dit overkomt je trouwens ook met nvidia drivers. Per nieuwe kernel moet je nieuwe drivers compileren. :roll:

    Greetz, dJezzer 8)
  • Dat heb je nou eenmaal met monolitische kernels. Het garandeert wel de stabiliteit tussen de kernel interface en de driver (mits de kernel en driver zijn goedgekeurd en released door Linus T. - hetgeen dus nooit geld voor third party drivers als NVidia).

    Er is al een functie in de 2.6 kernels aanwezig voor userspace drivers, en een UDI, maar denk dat dit nooit geaccepteerd gaat worden door het kernel team, omdat dit binaire driver files in de hand werkt, en dat is een ongewenste ontwikkeling, en het tegenovergestelde van de OS/F gedachte.
  • Inmiddels heb ik Fedora Core 3 opnieuw geïnstalleerd, met de (meegeleverde) kernel 2.6.9. Installatie van ndiswrapper en wpa_supplicant leverde dezelfde problemen op als met de 2.6.10 kernel: segmentation fault en kernel oops. Ik realiseerde mij dat ik de eerste keer, toen alles wel werkte, ndiswrapper-0.12 heb geïnstalleerd. Zodra ik ndiswrapper-1.0 had verwijderd en de oudere versie (op één na meest recente) geïnstalleerd werkte alles meteen zoals het hoorde.

    Oja, als je de mededeling krijgt dat de "key negotiation completed with <MAC-adres>" dan heb je nog geen netwerkverbinding. Je moet eerst een IP-adres op de connector krijgen, dat doe je met behulp van dhclient, dhcpcd, pump, of iets dergelijks.

    Succes!

    Greetz, dJezzer 8)

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.